using Wizard.Battle.View.Vfx;

public class Skill_change_skybound_art_count : SkillBase
{
	private const string EFFECT_FILE_NAME = "stt_act_costdown_1";

	private const string SE_FILE_NAME = "se_stt_act_costdown_1";

	public const int DEFAULT_SKYBOUND_ART_COUNT = 10;

	public Skill_change_skybound_art_count(SkillParameter skillPrm, string option)
		: base(skillPrm, option)
	{
	}

	public override VfxWithLoading Start(CallParameter parameter)
	{
		int num = base.OptionValue.GetInt(SkillFilterCreator.ContentKeyword.gain_skybound_art_count, -1);
		VfxWithLoadingSequential result = VfxWithLoadingSequential.Create();
		foreach (BattleCardBase targetCard in parameter.targetCards)
		{
			if (!BattleManagerBase.GetIns().IsVirtualBattle)
			{
				targetCard.SkillApplyInformation.GiveSkyboundArtCount(new SkyboundArtCountAddModifier(-num));
			}
		}
		return result;
	}

	public int GetGainSkyboundArtCount()
	{
		return base.OptionValue.GetInt(SkillFilterCreator.ContentKeyword.gain_skybound_art_count, 0);
	}
}
